[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[linux-lvm] Question on compatibility with 2.6.31 kernel.



Hello!

I recently tried to boot 2.6.31 on Fedora 8, and it couldn't
find the volume groups.  The same kernel works fine on F11.

Someone on LKML said they had similar problems on an old Debian Etch
system and to fix it they installed a new version of lvm2 and put
that in the initrd.

I am trying to package a general purpose 2.6.31, and part of the install
logic is to run mkinitrd on the end-user's system, so it will be a big
pain to also require users to install a non-standard lvm for their
platform.

So, does anyone have any ideas about what incompatibily I might be hitting,
and perhaps have some ideas on how to fix it in the kernel so that new
kernels will boot with older lvm installs?

Thanks,
Ben

--
Ben Greear <greearb candelatech com>
Candela Technologies Inc  http://www.candelatech.com


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]